Index: /trunk/language/nn_NO/admin.lang.php
===================================================================
--- /trunk/language/nn_NO/admin.lang.php	(revision 21943)
+++ /trunk/language/nn_NO/admin.lang.php	(revision 21944)
@@ -142,3 +142,114 @@
 $lang['%d group'] = '%d gruppe';
 $lang['%d groups'] = '%d grupper';
+$lang['albums deleted in the database'] = 'album fjerna frå databasen';
+$lang['all'] = 'alle ';
+$lang['an error happened'] = 'det oppstod ein feil';
+$lang['and'] = 'og';
+$lang['automatic order'] = 'automatisk sortering';
+$lang['average time'] = 'gjennomsnittleg tid';
+$lang['between'] = 'mellom';
+$lang['between %.2f and %.2f'] = 'mellom %.2f og %.2f';
+$lang['between %d and %d pixels'] = 'mellom %d og %d biletpunkt (pikslar)';
+$lang['bottom left corner'] = 'nedre venstre hjørne';
+$lang['bottom right corner'] = 'nedre høgre hjørne';
+$lang['cancel manual order'] = 'nullstill manuell sortering';
+$lang['clean'] = 'rydd opp';
+$lang['confirm'] = 'stadfest';
+$lang['create a new album'] = 'lag nytt album';
+$lang['create a new site'] = 'lag ny nettside';
+$lang['created'] = 'oppretta';
+$lang['default'] = 'standard';
+$lang['default values'] = 'standardverdiar';
+$lang['delete'] = 'fjern';
+$lang['delete album'] = 'fjern album';
+$lang['delete photo'] = 'fjern bilete';
+$lang['delete this site and all its attached elements'] = 'fjern denne nettsida og all informasjon knytt til denne';
+$lang['deleted'] = 'fjerna';
+$lang['directories + files'] = 'katalogar + filer';
+$lang['display'] = 'vis';
+$lang['display maximum informations (added albums and photos, deleted albums and photos)'] = 'vis maksimal informasjon (album og bilete lagt til eller sletta';
+$lang['email'] = 'E-post';
+$lang['errors during synchronization'] = 'feil under synkronisering';
+$lang['existing album'] = 'eksisterande album';
+$lang['first photo added on %s'] = 'fyrste bilete lagt til %s';
+$lang['group "%s" added'] = 'gruppe "%s" er lagt til';
+$lang['group "%s" deleted'] = 'gruppe "%s" er fjerna';
+$lang['group "%s" updated'] = 'gruppe "%s" er oppdatera';
+$lang['guest'] = 'gjest';
+$lang['height must be a number superior to'] = 'høgde må vera ei tal større enn';
+$lang['hide details'] = 'gøym detaljar';
+$lang['high'] = 'høg';
+$lang['include child albums'] = 'inkluder underalbum';
+$lang['include photos with lower privacy level'] = 'includer bilete med lågare personverninnstillingar';
+$lang['jump to album'] = 'hopp til ablum';
+$lang['jump to photo'] = 'hopp til bilete';
+$lang['manage album photos'] = 'handter albumbilete';
+$lang['manage sub-albums'] = 'handter underalbum';
+$lang['manual order'] = 'manuell stortering';
+$lang['middle'] = 'midten';
+$lang['modified'] = 'endra';
+$lang['new'] = 'ny';
+$lang['no write access'] = 'ikkje rett til å skrive';
+$lang['none'] = 'ingen';
+$lang['nothing'] = 'ingenting';
+$lang['number of miniaturized photos'] = 'antal miniatyrbilete oppretta';
+$lang['on'] = 'på';
+$lang['only directories'] = 'bare katalogar';
+$lang['other'] = 'anna';
+$lang['photos added in the database'] = 'bilete lagt til i databasen';
+$lang['photos deleted from the database'] = 'bilete fjerna frå databasen';
+$lang['photos per page'] = 'bilete pr. side';
+$lang['photos updated in the database'] = 'bilete oppdatera i databasen';
+$lang['pixels'] = 'bildepunkt (piksel)';
+$lang['private'] = 'privat';
+$lang['public'] = 'offentleg';
+$lang['randomly represented'] = 'tilfeldig album-miniatyrbilete';
+$lang['registered users'] = 'registrera brukarar';
+$lang['remove author'] = 'fjern forfattar';
+$lang['remove tags'] = 'fjern stikkord';
+$lang['remove this filter'] = 'fjern dette filteret';
+$lang['remove title'] = 'fjern tittel';
+$lang['selection'] = 'utval';
+$lang['show details'] = 'vis detaljar';
+$lang['status'] = 'status';
+$lang['sub-albums'] = 'underalbum';
+$lang['synchronize files structure with database'] = 'synkroniser filstruktur med databasen';
+$lang['target'] = 'mål';
+$lang['test'] = 'test';
+$lang['the forum'] = 'forumet';
+$lang['the wiki'] = 'wiki';
+$lang['top left corner'] = 'øvre venstre hjørne';
+$lang['top right corner'] = 'øvre høgre hjørne';
+$lang['total time'] = 'total tid';
+$lang['unit mode'] = 'enkel-modus';
+$lang['unknown'] = 'ukjend';
+$lang['user "%s" added'] = 'brukar "%s" er lagt til';
+$lang['user_status_admin'] = 'Administrator';
+$lang['user_status_generic'] = 'Generell';
+$lang['user_status_guest'] = 'Gjest';
+$lang['user_status_normal'] = 'Brukar';
+$lang['user_status_webmaster'] = 'Webmaster';
+$lang['visitors need to login and have the appropriate permissions to see this album'] = 'dei som vitjar galleriet må logge på og ha naudsynte rettar for å sjå dette albumet';
+$lang['width must be a number superior to'] = 'breidde må vera eit tal større enn';
+$lang['Anomaly'] = 'Feil';
+$lang['Are you sure you want to delete this plugin?'] = 'Er du sikker på at du vil fjerne dette tilleggsprogrammet';
+$lang['Are you sure you want to install this plugin?'] = 'Er du sikker på at du vil installere dette tilleggsprogrammet';
+$lang['<em>Piwigo for Android</em> application empowers you to connect your Android phone or table to your Piwigo gallery, create some albums and upload several photos at once.'] = '<em>Piwigo for Android</em> appen gjer det mogleg å kople ein Android telefon eller nettbrett til ditt Piwigo galleri. Du kan lage album og laste opp fleire bilete på ein gong.';
+$lang['<em>Piwigo for iOS</em> application empowers you to connect to your Piwigo gallery from your iPhone, iPad or iPod Touch, create some albums and upload several photos at once.'] = '<em>Piwigo for iOS</em> appen gjer det mogleg å kople ein iPhone, iPad eller iPod Touch til ditt Piwigo galleri. Du kan lage album og laste opp fleire bilete på ein gong.';
+$lang['Add write access to the "%s" directory'] = 'Legg til skriverettar til "%s" katalogen';
+$lang['Adobe Photoshop Lightroom is a photography software designed to manage large quantities of digital images and doing post production work.'] = 'Adobe Photoshop Lightroom er programvare laga for å handtere store mengder digitale foto og gjera biletbehandling.';
+$lang['Album photos associated to the following albums: %s'] = 'Albumbilete er knytt til fylgjande album: %s';
+$lang['Album updated successfully'] = 'Album er oppdatera';
+$lang['Albums automatically sorted'] = 'Albuma er automatisk sortera';
+$lang['All %d photos are selected'] = 'Alle %d bilete er vald';
+$lang['All extensions are up to date.'] = 'Alle tillegg er siste versjon';
+$lang['All languages are up to date.'] = 'Alle språk er siste versjon';
+$lang['All plugins are up to date.'] = 'Alle tilleggsprogram er siste versjon';
+$lang['All themes are up to date.'] = 'Alle tema er siste versjon';
+$lang['Allow rating'] = 'Tillat rangering';
+$lang['Allow user customization'] = 'Tillat brukartilpasning';
+$lang['Allow user registration'] = 'Tillat brukarregistrering';
+$lang['Allow users to delete their own comments'] = 'Tillat brukarar å slette sine eigne kommentarar';
+$lang['Allow users to edit their own comments'] = 'Tillat brukarar å endre sine eigne kommentarar';
+$lang['Allowed file types: %s.'] = 'Tillatne filtyper: %s';
 ?>