Index: /extensions/gally/gally-black-graphite/template/index.tpl
===================================================================
--- /extensions/gally/gally-black-graphite/template/index.tpl	(revision 21996)
+++ /extensions/gally/gally-black-graphite/template/index.tpl	(revision 21997)
@@ -173,5 +173,6 @@
         </div>
 
-        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}</div>{/if}
+        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}
+        {if !empty($cats_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$cats_navbar}{/if}</div>{/if}
         {if !empty($THUMBNAILS)}<div id="thumbnails">{$THUMBNAILS}</div>{/if}
 
@@ -188,5 +189,5 @@
   {/if}
 
-  {if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+  {if !empty($thumb_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$thumb_navbar}{/if}
 
 </div>{* subContent *}
Index: /extensions/gally/gally-black-graphite/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-black-graphite/themeconf.inc.php	(revision 21996)
+++ /extensions/gally/gally-black-graphite/themeconf.inc.php	(revision 21997)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally/Black-graphite
-Version: 1.5.0
+Version: auto
 Description: simple dark-grey theme (inspired from Zaphod's theme <STRIPPED>)
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=485
Index: /extensions/gally/gally-default/css/theme.css
===================================================================
--- /extensions/gally/gally-default/css/theme.css	(revision 21996)
+++ /extensions/gally/gally-default/css/theme.css	(revision 21997)
@@ -45,2 +45,20 @@
 }
 
+.pwg-button-text {
+  display: none;
+}
+.pwg-icon {
+	display: inline-block; /*IE6 does not get this correctly*/
+	text-indent: -9999px; overflow: hidden; background-repeat: no-repeat;
+	width: 26px; height: 26px;
+	vertical-align: bottom;
+}
+.pwg-button-text { display:none; }
+
+
+.pwg-button {
+	display: inline-block;
+	vertical-align: top;
+  cursor:pointer;
+}
+
Index: /extensions/gally/gally-default/template/index.tpl
===================================================================
--- /extensions/gally/gally-default/template/index.tpl	(revision 21996)
+++ /extensions/gally/gally-default/template/index.tpl	(revision 21997)
@@ -173,5 +173,6 @@
         </div>
 
-        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}</div>{/if}
+        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}
+        {if !empty($cats_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$cats_navbar}{/if}</div>{/if}
         {if !empty($THUMBNAILS)}<div id="thumbnails">{$THUMBNAILS}</div>{/if}
 
@@ -188,5 +189,5 @@
   {/if}
 
-  {if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+  {if !empty($thumb_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$thumb_navbar}{/if}
 
 </div>{* subContent *}
Index: /extensions/gally/gally-default/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-default/themeconf.inc.php	(revision 21996)
+++ /extensions/gally/gally-default/themeconf.inc.php	(revision 21997)
@@ -2,5 +2,5 @@
 /*
 Theme Name: Gally
-Version: 1.5.0
+Version: auto
 Description: Parent theme for all the Gally themes
 Theme URI: http://piwigo.org/ext/extension_view.php?eid=382
Index: /extensions/gally/gally-minimalist/css/theme.css
===================================================================
--- /extensions/gally/gally-minimalist/css/theme.css	(revision 21996)
+++ /extensions/gally/gally-minimalist/css/theme.css	(revision 21997)
@@ -574,4 +574,8 @@
   right: 0;
   bottom:18px;
+}
+
+#categories .navigationBar {
+    position: inherit;
 }
 
Index: /extensions/gally/gally-minimalist/template/index.tpl
===================================================================
--- /extensions/gally/gally-minimalist/template/index.tpl	(revision 21996)
+++ /extensions/gally/gally-minimalist/template/index.tpl	(revision 21997)
@@ -177,5 +177,6 @@
         </div>
 
-        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}</div>{/if}
+        {if !empty($CATEGORIES)}<div id="categories">{$CATEGORIES}
+        {if !empty($cats_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$cats_navbar}{/if}</div>{/if}
         {if !empty($THUMBNAILS)}<div id="thumbnails">{$THUMBNAILS}</div>{/if}
 
@@ -192,5 +193,5 @@
   {/if}
 
-  {if !empty($navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar'}{/if}
+  {if !empty($thumb_navbar)}{include file='navigation_bar.tpl'|@get_extent:'navbar' navbar=$thumb_navbar}{/if}
 
 </div>{* subContent *}
Index: /extensions/gally/gally-minimalist/themeconf.inc.php
===================================================================
--- /extensions/gally/gally-minimalist/themeconf.inc.php	(revision 21996)
+++ /extensions/gally/gally-minimalist/themeconf.inc.php	(revision 21997)
@@ -2,7 +2,7 @@
 /*
 Theme Name: Gally/Minimalist
-Version: 1.5.0
+Version: auto
 Description: simple white minimalist theme
-Theme URI: http://piwigo.org/ext/extension_view.php?eid=
+Theme URI: http://piwigo.org/ext/extension_view.php?eid=629
 Author: Grum
 Author URI: http://www.grum.fr