Index: /extensions/event_cats/language/da_DK/description.txt
===================================================================
--- /extensions/event_cats/language/da_DK/description.txt	(revision 22016)
+++ /extensions/event_cats/language/da_DK/description.txt	(revision 22016)
@@ -0,0 +1,1 @@
+Gør det muligt at logge på galleriet med angivelse af brugernavn og adgangskode, samt gør det muligt for login at få omgående adgang til privat kategori.
Index: /extensions/event_cats/language/da_DK/duplic.lang.php
===================================================================
--- /extensions/event_cats/language/da_DK/duplic.lang.php	(revision 22016)
+++ /extensions/event_cats/language/da_DK/duplic.lang.php	(revision 22016)
@@ -0,0 +1,25 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['Create a new account with same properties'] = 'Opret en ny konto med de samme egenskaber';
+$lang['Duplicate'] = 'Dupliker';
+?>
Index: /extensions/event_cats/language/da_DK/plugin.lang.php
===================================================================
--- /extensions/event_cats/language/da_DK/plugin.lang.php	(revision 22016)
+++ /extensions/event_cats/language/da_DK/plugin.lang.php	(revision 22016)
@@ -0,0 +1,178 @@
+<?php
+// +-----------------------------------------------------------------------+
+// | Piwigo - a PHP based photo gallery                                    |
+// +-----------------------------------------------------------------------+
+// | Copyright(C) 2008-2013 Piwigo Team                  http://piwigo.org |
+// | Copyright(C) 2003-2008 PhpWebGallery Team    http://phpwebgallery.net |
+// | Copyright(C) 2002-2003 Pierrick LE GALL   http://le-gall.net/pierrick |
+// +-----------------------------------------------------------------------+
+// | This program is free software; you can redistribute it and/or modify  |
+// | it under the terms of the GNU General Public License as published by  |
+// | the Free Software Foundation                                          |
+// |                                                                       |
+// | This program is distributed in the hope that it will be useful, but   |
+// | WITHOUT ANY WARRANTY; without even the implied warranty of            |
+// | MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the GNU      |
+// | General Public License for more details.                              |
+// |                                                                       |
+// | You should have received a copy of the GNU General Public License     |
+// | along with this program; if not, write to the Free Software           |
+// | Foundation, Inc., 59 Temple Place - Suite 330, Boston, MA 02111-1307, |
+// | USA.                                                                  |
+// +-----------------------------------------------------------------------+
+$lang['ec_help_banner1_config'] = '<span class = "help_i">Dupliker en konto</span> når en bruger allerede er logget på, oprettes en anden konto med de præcis samme rettigheder: der er ingen grund til at vente på administratorgodkendelse.&nbsp;— Vælg siden du ønsker skal vises i fald der benyttes en ukendt kode (eksempelvis en kode, du har slettet).&nbsp;— På "Autolog-poster"-fanen, kan kommentarer vises som tooltips, eller på en ny linje under koden.&nbsp;— Da du i øjeblikket læser det, er hjælpebannet i øjeblikket aktivt! ;-)&nbsp;— Vis "Log på"-linket til generiske brugere, giver brugere der allerede er registeret i galleriet andgang til let at logge på.';
+$lang['Test URL ttip'] = 'Test URL\'en ( => admin.-session afsluttet)';
+$lang['Acknowledgement'] = 'Formålet med denne udvidelse er at muliggøre automatisk logning af en konto ("autolog"), og duplikering af kontoen, som den besøgende aktuelt er logget på me ("duplikering").<br /><br />Mange tak til Forummet, plg, ddtddt, flipflip, VDigital, Gotcha for deres test, og til P@t for den primære kode! :-)';
+$lang['Additional Pages inactive'] = '<a href="http://fr.piwigo.org/ext/extension_view.php?eid=153" title="Åbn et nyt vindue i pluginen Additional Pages" onClick="window.open(this.href); return false;">Additional Pages</a>-plugin (vis en tekstside): ikke aktiveret';
+$lang['Auto code end'] = 'tegn';
+$lang['Autolog entries'] = '"Autolog"-poster';
+$lang['ec_user_create_pb'] = 'Ikke muligt at oprette ny bruger';
+$lang['ec_user_generic_OK'] = 'Brugeren "%s" er generisk';
+$lang['ec_user_generic_pb'] = 'Problem med at gøre brugeren "%s" generisk';
+$lang['ec_username_miss'] = 'brugeren findes ikke (formentlig slettet)';
+$lang['ec_username_pb'] = 'feltet "user_id" er defekt (forskellige værdier i poster som anvender den samme kode)';
+$lang['ec_ok_img_pb'] = 'JA, men ukendt foto';
+$lang['ec_submit_action_miss'] = 'Du skal angive en side som skal vises.';
+$lang['ec_submit_code_bad'] = 'En kode består af 4 til 32 tegn indeholdt i [a-zA-Z0-9_-].';
+$lang['ec_submit_code_miss'] = 'Du skal angive en kode.';
+$lang['ec_submit_user_miss'] = 'Du skal angive et brugernavn.';
+$lang['ec_tab_autoid_entries'] = 'Autolog-poster';
+$lang['ec_tab_autoid_modif'] = 'Ændring af autolog';
+$lang['ec_tab_autoid_new'] = 'Ny autolog';
+$lang['ec_tab_config'] = 'Opsætning';
+$lang['ec_tab_duplication'] = 'Duplikering';
+$lang['ec_user_access_AP'] = 'Sørg for at brugeren "%2$s" er tilladelse til Additional Pages-siden "%1$s".';
+$lang['ec_user_already_exists'] = 'Brugernavnet findes allerede.';
+$lang['ec_user_create_OK'] = 'Brugeren "%s" er oprettet';
+$lang['ec_group_create_OK'] = 'Gruppen "%s" er oprettet';
+$lang['ec_group_create_OK2'] = '"%1$s" linket til "%2$s"';
+$lang['ec_group_create_pb'] = 'Oprettelse af gruppen "%s" er ikke muligt';
+$lang['ec_image_miss'] = 'foto findes ikke (formentlig slettet)';
+$lang['ec_new_pwd_gen'] = 'Glem ikke at notere dig adgangskode!';
+$lang['ec_nok'] = 'NEJ';
+$lang['ec_nok_action_pb'] = 'NEJ: "action" er defekt';
+$lang['ec_nok_ap_pb'] = 'NEJ';
+$lang['ec_nok_userid_miss'] = 'NEJ: ukendt bruger';
+$lang['ec_nok_userid_pb'] = 'NEJ: "user_id" er defekt';
+$lang['ec_ok'] = 'JA';
+$lang['ec_ok_ap_pb'] = 'JA, men ukendt Add. Page';
+$lang['ec_ok_cat_pb'] = 'JA, men ukendt album';
+$lang['ec_confirm_disable'] = 'Er du sikker på, at du vil gøre den valgte post forældet?
+Det vil slette alle andre poster som anvender den samme kode, om nogen.';
+$lang['ec_confirm_force'] = 'Er du sikker på, at du vil gennemtvinge den viste side på den valgte post?
+Det vil slette alle andre poster som anvender den samme kode, om nogen.';
+$lang['ec_confirm_test'] = 'Er du sikker på, at du vil teste den valgte kode?
+Det vil afslutte din administrationssession.';
+$lang['ec_dspl_nok_actn'] = '"action" er ikke brugbar';
+$lang['ec_dspl_nok_ap'] = ' (Additional Page n°%s findes ikke)';
+$lang['ec_dspl_nok_cat'] = ' (album n°%s findes ikke)';
+$lang['ec_dspl_nok_img2'] = ' (foto n°%1$ findes ikke i album n°%2$s)';
+$lang['ec_dspl_nok_usr'] = 'Bruger n°%s findes ikke';
+$lang['ec_dspl_ok_ap'] = 'Additional Page n°%1$s: %2$s';
+$lang['ec_dspl_ok_cat'] = 'Album n°%1$s: %2$s';
+$lang['ec_dspl_ok_img2'] = 'foto n°%1$s: %2$s (%3$s)';
+$lang['ec_dspl_usr_pb'] = '"user_id" er ikke brugbar';
+$lang['ec_entry_already_exists'] = 'Posten %s findes allerede med den præcis samme opsætning';
+$lang['ec_entry_create_OK'] = 'Posten %s er oprettet';
+$lang['ec_entry_create_pb'] = 'Ikke muligt at oprette post';
+$lang['ec_entry_del_nok'] = 'Problem med sletning af posten %s:';
+$lang['ec_entry_del_ok'] = 'Posten %1$s ("%2$s") er slettet.';
+$lang['ec_entry_dont_exist'] = 'Posten %s findes ikke';
+$lang['ec_entry_modify_OK'] = 'Posten %s er ændret';
+$lang['ec_gen_user_act_miss'] = 'Vælg først en side som skal vises';
+$lang['Types'] = 'Brugertyper';
+$lang['URL'] = 'URL:';
+$lang['Unforce display ttip'] = 'Gennemtving ikke længere visning af denne kode på siden';
+$lang['Unknown code'] = 'Ukendt kode';
+$lang['Username'] = 'Brugernavn';
+$lang['ec_DB_problem'] = 'Problem med databasetilgang (position %s):';
+$lang['ec_act_cat_miss'] = 'Album?';
+$lang['ec_act_img_miss'] = 'Fotoidentifikationen skal være et tal.';
+$lang['ec_action_pb'] = 'feltet "action" er defekt (forskellige værdier i poster som benytter den samme kode)';
+$lang['ec_add_page_miss'] = 'Additional Pages-side eksisterer ikke (formentlig slettet)';
+$lang['ec_assoc_pb'] = 'Umuligt at linke "%1$s" til "%2$s"';
+$lang['ec_category_miss'] = 'album eksisterer ikke (formentlig slettet)';
+$lang['ec_clk_entry_miss'] = 'Vælg først en post.';
+$lang['ec_cnfrm_forced'] = ' (vist side gennemtvunget)';
+$lang['ec_code_already_exists'] = 'Koden findes allerede.';
+$lang['ec_conf_pwd_dont_match'] = 'Adgangskoden er ikke bekræftet på korrekt vis.';
+$lang['ec_config_saved'] = 'Opsætning gemt';
+$lang['ec_confirm_change_user'] = 'Ændring af brugernavn vil slette alle andre poster som anvender den samme kode, om nogen. Ok?';
+$lang['ec_confirm_del_other'] = 'Dette vil slette alle andre poster som anvender den samme kode, om nogen. Ok?';
+$lang['ec_confirm_delete'] = 'Er du sikker på, at du vil slette den valgte post?';
+$lang['New entry title'] = 'Ny post hørende til et "autolog"-parameter';
+$lang['New generic user'] = 'Ny bruger (opret en generisk konto):';
+$lang['New group'] = 'Ny grupper:';
+$lang['New password'] = 'Adgangskode';
+$lang['New username'] = 'Brugernavn';
+$lang['No account'] = 'Ingen konto';
+$lang['No user'] = 'Ingen (forældet post)';
+$lang['Optional'] = 'Personlig memo som kun vises på administrationssider';
+$lang['Other'] = 'Andet';
+$lang['Outdate entry ttip'] = 'Gør post forældet';
+$lang['Page for unknown code'] = 'Side der vises når en "autolog0-kode er ukendt"';
+$lang['Place title on top ttip'] = 'Vis denne titel i sidehovedet';
+$lang['Register replacement'] = 'Registereringslink:%1$s for alle konti som kan duplikeres,%1$s erstat "%2$s" med "%3$s"';
+$lang['Save dup. config btn'] = 'Gem duplikeringsopsætning';
+$lang['Selected entry'] = 'Valgt post';
+$lang['Selection per group'] = 'Valg efter gruppe';
+$lang['Show'] = 'vis';
+$lang['Test'] = 'Test';
+$lang['Tools'] = 'Værktøjer';
+$lang['Force display ttip'] = 'Gennemtving visning af denne kode på siden';
+$lang['Forced'] = 'Gennemtvunget';
+$lang['Full auto'] = 'Fuldautomatisk (vælg først en side at vise)';
+$lang['Generate username'] = 'Generer et brugernavn (vælg først en side at vise)';
+$lang['Grant to groups btn'] = 'Tildel grupper til valgte grupper';
+$lang['Grant to types btn'] = 'Tildel duplikering til valgte typer';
+$lang['Grant to users btn'] = 'Tildel duplikering til valgte brugere';
+$lang['Help banner'] = 'Hjælpebanner';
+$lang['Hide'] = 'skjul';
+$lang['Home'] = 'Forside';
+$lang['Identification'] = 'Identifikation?';
+$lang['Identified user'] = 'Identificeret bruger';
+$lang['Image id'] = 'Photo-id';
+$lang['In a row'] = 'På en række';
+$lang['JS needed'] = 'JavaScript SKAL være aktiveret for at denne side kan fungere ordentligt!';
+$lang['Modify'] = 'Tilpas';
+$lang['Modify entry title'] = 'Tilpasning af en "autolog"-parameterpost';
+$lang['Modify entry ttip'] = 'Tilpas post';
+$lang['New code'] = 'Ny kode:';
+$lang['New entry'] = 'Ny post';
+$lang['Comments display'] = 'Vis kommentarer';
+$lang['Configuration'] = 'Opsætning';
+$lang['Confirm password'] = 'Bekræft adgangskode:';
+$lang['Copy URL ttip'] = 'Kopier dette link, for at kunne overføre det';
+$lang['Delete'] = 'Slet';
+$lang['Delete entry ttip'] = 'Slet post';
+$lang['Deny to groups btn'] = 'Nægt duplikering til valgte grupper';
+$lang['Deny to types btn'] = 'Nægt duplikering til valgte typer';
+$lang['Deny to users btn'] = 'Nægt duplikering til valgte brugere';
+$lang['Display connection'] = 'Vis "%2$s" link%1$s til generiske brugere';
+$lang['Displayed page'] = 'Viste side';
+$lang['Dup. allowed tks to'] = 'Duplikering tilladt takket være medlemskab af grupper og typer';
+$lang['Duplicate entry ttip'] = 'Opret ny post med den samme kode';
+$lang['Duplication'] = 'Duplikering';
+$lang['Duplication allowance'] = 'Tillad duplikering';
+$lang['Duplication allowed'] = 'Duplikering tilladt';
+$lang['Duplication denied'] = 'Duplikering nægtet';
+$lang['Entry'] = 'Post';
+$lang['Existing code'] = 'Eksisterende kode:';
+$lang['Existing user'] = 'Eksisterende bruger:';
+$lang['Access denied'] = 'Adgang nægtet';
+$lang['Additional Page'] = 'Additional Page';
+$lang['Additional Pages active'] = 'Additional Pages-plugin: aktiveret';
+$lang['Admin page title'] = 'Event Categories';
+$lang['All accounts'] = 'Alle konti';
+$lang['All but generics'] = 'Alle konti bortset fra de generiske';
+$lang['As tooltip'] = 'Som tooltip';
+$lang['Auto code button'] = 'Generer en kode';
+$lang['Auto code max'] = ' (maks)';
+$lang['Auto code mid'] = 'har';
+$lang['Auto code min'] = ' (min)';
+$lang['Banner off'] = 'Deaktiveret';
+$lang['Banner on'] = 'Aktiveret';
+$lang['Category'] = 'Album';
+$lang['Code'] = 'Kode';
+$lang['Comment'] = 'Kommentar';
+?>