Index: /trunk/language/lt_LT/common.lang.php
===================================================================
--- /trunk/language/lt_LT/common.lang.php	(revision 22053)
+++ /trunk/language/lt_LT/common.lang.php	(revision 22054)
@@ -89,7 +89,7 @@
 $lang['File'] = "Failas";
 $lang['Filesize'] = "Failo dydis";
-$lang['Filter and display'] = "Filtras ir ekranas";
+$lang['Filter and display'] = 'Filtruoti ir rodyti';
 $lang['Filter'] = "Filtras";
-$lang['Forgot your password?'] = 'Blogas slaptažodis?';
+$lang['Forgot your password?'] = 'Pamiršote slaptažodį ?';
 $lang['Go through the gallery as a visitor'] = 'Naršyti galerijoje kaip svečias';
 $lang['Help'] = "Pagalba";
@@ -119,5 +119,5 @@
 $lang['Registration'] = "Registracija";
 $lang['Related tags'] = 'Susijusios žymos';
-$lang['Reset'] = "Perkrauti";
+$lang['Reset'] = 'Atstatyti';
 $lang['Retrieve password'] = 'Atkurti slaptažodį';
 $lang['Search rules'] = 'Ieškoti kriterijų';
@@ -152,5 +152,5 @@
 $lang['posted between %s (%s) and %s (%s)'] = "paskelbta tarp %s (%s) ir %s (%s)";
 $lang['posted on %s'] = "paskelbta %s";
-$lang['Best rated'] = 'Geriausia įvertintos';
+$lang['Best rated'] = 'Geriausiai įvertintos';
 $lang['display best rated items'] = "rodyti geriausia &#303;vertintas nuotraukas";
 $lang['caddie'] = "Krep&#352;elis";
@@ -240,5 +240,5 @@
 $lang['month'][8] = "Rugpj&#363;tis";
 $lang['month'][9] = "Rugs&#279;jis";
-$lang['Most visited'] = 'Daugiausia žiūrimos';
+$lang['Most visited'] = 'Žiūrimiausios';
 $lang['display most visited pictures'] = "display most visited pictures";
 $lang['The number of images per row must be a not null scalar'] = "Nuotrauk&#371; eilu&#269;i&#371; skai&#269;ius neturiu b&#363;ti nulis";
@@ -298,5 +298,5 @@
 $lang['Show number of hits'] = "Rodyti paspaudimus";
 $lang['slideshow'] = 'skaidrių žiūrėjimas';
-$lang['stop the slideshow'] = "stop the slideshow";
+$lang['stop the slideshow'] = 'stabdyti skaidrių peržiūrą';
 $lang['Specials'] = "Specials";
 $lang['SQL queries in'] = "SQL queries in";
@@ -305,5 +305,5 @@
 $lang['the beginning'] = 'pradžia';
 $lang['Interface theme'] = "Dizainas";
-$lang['Thumbnails'] = "Nuotraukytes";
+$lang['Thumbnails'] = 'Miniatiūros';
 $lang['Menu'] = "Meniu";
 $lang['A comment on your site'] = "Komenentaras svetain&#279;je";
@@ -399,6 +399,6 @@
 $lang['day']['6'] = 'Šeštadienis';
 $lang['set as album representative'] = 'nustatyti kaip albumo viršelį';
-$lang['in %d sub-album'] = '%d sub-albume';
-$lang['in %d sub-albums'] = '%d sub-albumuose';
+$lang['in %d sub-album'] = '%d subalbume';
+$lang['in %d sub-albums'] = '%d subalbumuose';
 $lang['in this album'] = 'šiame albume';
 $lang['The RSS notification feed provides notification on news from this website : new photos, updated albums, new comments. Use a RSS feed reader.'] = 'RSS srautas informuoja apie naujus įvykius šiame puslapyje: naujas nuotraukas, atnaujintus albumus, naujus komentarus. Naudojama su RSS srauto skaitykle.';
@@ -429,19 +429,19 @@
 $lang['2small'] = 'XXS - Miniatiūrinė';
 $lang['Here are your connection settings'] = 'Jūsų prisijungimo duomenys';
-$lang['Password Reset'] = 'Slaptažodžio perkrovimas';
-$lang['Password reset is not allowed for this user'] = 'Šiam vartotojui negalima perkrauti slaptažodžio';
+$lang['Password Reset'] = 'Slaptažodžio keitimas';
+$lang['Password reset is not allowed for this user'] = 'Šiam vartotojui slaptažodžio keitimas negalimas';
 $lang['Password: %s'] = 'Slaptažodis: %s';
 $lang['Photos only RSS feed'] = 'Tik nuotrakų RSS srautas';
 $lang['Please enter your username or email address.'] = 'Prašome įvesti vartotojo vardą arba el-pašto adresą.';
 $lang['Rating score'] = 'Įvertinimo rezultatas';
-$lang['large'] = 'L - didelė';
+$lang['large'] = 'L - Didelė';
 $lang['medium'] = 'M - Vidutinė';
 $lang['photo'] = 'nuotrauka';
-$lang['small'] = 'S - maža';
+$lang['small'] = 'S - Maža';
 $lang['square'] = 'Kvadratas';
 $lang['this email address is already in use'] = 'šis el-pašto adresas užimtas';
 $lang['thumb'] = 'Miniatiūra';
-$lang['xlarge'] = 'XL - labai didelė';
-$lang['xsmall'] = 'XS - labai maža';
+$lang['xlarge'] = 'XL - Labai didelė';
+$lang['xsmall'] = 'XS - Labai maža';
 $lang['xxlarge'] = 'XXL - milžiniška';
 $lang['Search for any term'] = 'Ieškoti betkokio termino';
@@ -456,5 +456,5 @@
 $lang['You will receive a link to create a new password via email.'] = 'Jūs gausite nuorodą, kurioje galėsite pasikeisti slaptažodį, el-paštu.';
 $lang['Your favorites'] = 'Jūsų mėgstamiausios';
-$lang['Your password has been reset'] = 'Jūsų slaptažodis perkrautas';
+$lang['Your password has been reset'] = 'Jūsų slaptažodis pakeistas';
 $lang['Your username has been successfully changed to : %s'] = 'Jūsų vartotojo vardas sėkmingai pakeistas į: %s';
 $lang['Your website URL is invalid'] = 'Jūsų web puslapio adresas neteisingas';
@@ -463,5 +463,5 @@
 $lang['delete this photo from your favorites'] = 'pašalinti šią nuotrauką iš jūsų mėgstamiausių';
 $lang['display a set of random photos'] = 'rodyti atsitiktinių nuotraukų rinkinį';
-$lang['display all photos in all sub-albums'] = 'rodyti visas nuotraukas iš visų sub-albumų';
+$lang['display all photos in all sub-albums'] = 'rodyti visas nuotraukas iš visų subalbumų';
 $lang['Recent albums'] = 'Naujausi albumai';
 $lang['Recent photos'] = 'Naujausios nuotraukos';
@@ -473,11 +473,11 @@
 $lang['Show latest comments first'] = 'Pirma naujausi komentarai';
 $lang['Show oldest comments first'] = 'Pirma seniausi komentarai';
-$lang['Someone requested that the password be reset for the following user account:'] = 'Kažkas paprašė perkrauti slaptažodį šiam vartotojui:';
+$lang['Someone requested that the password be reset for the following user account:'] = 'Kažkas paprašė pakeisti slaptažodį šiam vartotojui:';
 $lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'Sėkmingai užregistruota. Prisijungimo duomenis jums greitu metu atsiųsime el-paštu.';
 $lang['Thank you for registering at %s!'] = 'Ačiū, kad prisiregistravote %s';
 $lang['The number of photos per page must be a not null scalar'] = 'Nuotraukų skaičius puslapiui turi būti sveikas teigiamas skaičius';
 $lang['The passwords do not match'] = 'Slaptažodžiai nesutampa';
-$lang['To reset your password, visit the following address:'] = 'Norėdami perkrauti slaptažodi apsilankykite šiuo adresu:';
-$lang['User "%s" has no email address, password reset is not possible'] = 'Vartotojas "%s" neįvedęs elektroninio pašto adreso - neįmanoma perkrauti slaptažodžio';
+$lang['To reset your password, visit the following address:'] = 'Norėdami pasikeisti slaptažodi apsilankykite šiuo adresu:';
+$lang['User "%s" has no email address, password reset is not possible'] = 'Vartotojas "%s" neįvedęs elektroninio pašto adreso - neįmanoma pakeisti slaptažodžio';
 $lang['Rating score, low &rarr; high'] = 'Įvertinimas, žemas &rarr; aukštas';
 $lang['Rating score, high &rarr; low'] = 'Įvertinimas, aukštas &rarr; žemas';