Index: extensions/event_cats/language/da_DK/plugin.lang.php
===================================================================
--- extensions/event_cats/language/da_DK/plugin.lang.php	(revision 22071)
+++ extensions/event_cats/language/da_DK/plugin.lang.php	(revision 22101)
@@ -179,3 +179,6 @@
 $lang['ec_help_banner2_new_c'] = 'Kopi en post, der skal forbindes med den samme <span class = "help_bi">kode</span> (stadig forbundet med den samme <span class = "help_bi">identificerede brugere</span>), til en anden <span class = "help_bi">vis side</span>, for eksempel for at give adgang til en anden begivenhed (og dermed et andet album) til den samme gruppe personer, som man allerede har oprettet en post for. <span class = "help_b">Nulstil</span> for at gå tilbage til en "normal" postoprettelse.';
 $lang['ec_help_banner1_duplic'] = '<span class = "help_i">Duplikering af konto</span> når en bruger allerede er identificeret, oprettes en anden konto med det præcis samme rettigheder: der er ikke grund til at vente på at en administrator godkender det. Vælg <span class = "help_bi">grupper</span>, <span class = "help_bi">typer</span> og&nbsp;/&nbsp;eller  <span class = "help_bi">brugere</span> direkte, som har lov til at duplikere deres konto. Viser "<span class = "help_b">Registrer</span>" ved generiske konti, så de ikke bemærker duplikeringen (se <a href="popuphelp.php?page=help" onclick="popuphelp(this.href); return false;" title="Hjælp"><img src="admin/template/goto/theme/clear/icon/help.png" class="button" alt="(?)">&nbsp;hjælpesiden</a> for flere oplysninger).';
+$lang['ec_help_banner1_new_c'] = 'Forbind en <span class = "help_bi">kode</span> med en <span class = "help_bi">identificeret bruger</span> samt til en <span class = "help_bi">vist side</span>; det vil oprette en tilsvarende URL på fanen "Autolog-poster", så man kan kopiere og overføre den til involverede personer. (Det er for kompliceret og for tungt, her et bringe en liste over alle fotografier, derfor skal man selv notere identifikationen på det ønskede fotografi ("<span class = "help_b">Foto-id</span>"), hvis man ønsker at anvende feltet.) <span class = "help_b">Generer et brugernavn</span> og <span class = "help_b">Fuldautomatisk</span>: vælg først en <span class = "help_bi">side at vise</span>, da brugernavnet er baseret på denne sides navn. <span class = "help_b">Kommentar</span>: memo, personligt notat, kun synligt i administrationsdelen. <span class = "help_b">Eksisterende kode</span>: for at anvende den samme kode til at identificere den samme konto, men med omdirigering til en anden side. Vis side <span class = "help_b">Gennemtvunget</span>: for at gennemtvinge den viste side, er parametrene <span class = "help_bi">&cat=</span>, <span class = "help_bi">&img=</span>, <span class = "help_bi">&ap=</span> i URL\'en.';
+$lang['ec_help_banner1_new_m'] = 'Vælg en <span class = "help_bi">kode</span> for at ændre den tilhørende <span class = "help_bi">identificerede bruger</span> og&nbsp;/&nbsp;eller <span class = "help_bi">siden der skal vises</span>. Hvis man <span class = "help_b">gennemtvinger</span> siden, der skal vises, eller ændrer den identificerede bruger, vil andre poster, som benytter den samme kode, blive slettet. Vælges <span class = "help_b">Ingen</span> som identificeret bruger, eller <span class = "help_b">Adgang nægtet</span> som siden der skal vises, bliver posten "forældet": ingen identifikation, men man kan vise en persontilpasset side for at give en forklaring. For at <span class = "help_b">generere et brugernavn</span>, vælges først <span class = "help_bi">siden der skal vises</span>, som brugernavn, baseret på navnet på den side, der skal vises.';
+$lang['ec_help_banner1_entries'] = '<ul><li style = "list-style-image:url(plugins/event_cats/icon/disable.png);"><span class = "help_b">Gør post forældet</span>: anvendes til at sikre, at en kode ikke længere kan anvendes, men med en skræddersyet meddelelse;</li><li style = "list-style-image:url(plugins/event_cats/icon/nforced.png);"><span class = "help_b">Gennemtving</span>: for at forhindre brugere i at tilgå andre sider ved at ændre URL\'en;<li style = "list-style-image:url(plugins/event_cats/icon/forced.png);"><span class = "help_b">Gennemtving ikke</span>: gør det muligt at benytte den samme kode til at få adgang til forskellige sider;</li><li style = "list-style-image:url(plugins/event_cats/icon/duplicate.png);"><span class = "help_b">Kopier</span>: til at oprette en ny post ved hjælp af den samme kode, men med en anden side som destination;</li><li style = "list-style-image:url(plugins/event_cats/icon/url2.png);"><span class = "help_b">Test</span>: til at kontrollere, at det fungerer ;-)&nbsp;;</li><li style = "list-style-image:url(plugins/event_cats/icon/delete.png);"><span class = "help_b">Slet</span>: slet post;</li><li style = "list-style-image:url(plugins/event_cats/icon/modify.png);"><span class = "help_b">Modificer</span>: modificer post.</ul>';
 ?>