Index: trunk/language/sl_SI/install.lang.php
===================================================================
--- trunk/language/sl_SI/install.lang.php	(revision 22059)
+++ trunk/language/sl_SI/install.lang.php	(revision 22104)
@@ -30,5 +30,5 @@
 $lang['Try to configure PHP 5'] = 'Poskušam nastaviti PHP 5';
 $lang['User'] = 'Uporabnik';
-$lang['Visitors will be able to contact site administrator with this mail'] = 'Uporabniki bodo te elektronski naslov uporabljali za kontakt s skrbnikom spletne strani ';
+$lang['Visitors will be able to contact site administrator with this mail'] = 'Uporabniki bodo ta elektronski naslov uporabljali za kontakt s skrbnikom spletne strani ';
 $lang['Webmaster login'] = 'Prijava za spletne skrbnike';
 $lang['Webmaster mail address'] = 'Elektronski naslov skrbnika';
@@ -40,5 +40,5 @@
 $lang['Basic configuration'] = 'Osnovne nastavitve';
 $lang['Can\'t connect to server'] = 'Ne morem se povezati s strežnikom';
-$lang['Congratulations, Piwigo installation is completed'] = 'Čestitamo! Instalacija je uspešno dokončana!';
+$lang['Congratulations, Piwigo installation is completed'] = 'Čestitamo! Namestitev Piwigo aplikacije je uspešno dokončana!';
 $lang['Connection to server succeed, but it was impossible to connect to database'] = 'Uspešno ste se povezali na strežnik vendar je povezava s podatkovno bazo spodletela.';
 $lang['Creation of config file local/config/database.inc.php failed.'] = 'Ustvarjanje nastavitvene datoteke local/config/database.inc.php je spodletelo.';
@@ -51,7 +51,22 @@
 $lang['Hope to see you back soon.'] = 'Upam, da se kmalu ponovno vidimo.';
 $lang['Host'] = 'Gostitelj';
-$lang['Installation'] = 'Instalacija';
-$lang['It appears your webhost is currently running PHP %s.'] = 'Zdi se, da vaš ponudnik ima nameščen PHP %s';
+$lang['Installation'] = 'Namestitev';
+$lang['It appears your webhost is currently running PHP %s.'] = 'Zdi se, da  je na spletnem strežniku trenutno nameščen PHP %s';
 $lang['It will be shown to the visitors. It is necessary for website administration'] = 'Pokazano bo obiskovalcem. To je potrebno za upravljanje spletne strani';
 $lang['Just another Piwigo gallery'] = 'Samo še ena Piwigo galerija';
+$lang['enter a login for webmaster'] = 'vnesite prijavno ime skrbnika';
+$lang['localhost, sql.multimania.com, toto.freesurf.fr'] = 'localhost, sql.multimania.com, toto.freesurf.fr';
+$lang['mail address must be like xxx@yyy.eee (example : jack@altern.org)'] = 'e-poštni naslov mora imeti obliko xxx@yyyy.zzz (primer:jack@altern.org)';
+$lang['please enter your password again'] = 'prosimo ponovno vnesite vaše geslo';
+$lang['user login given by your host provider'] = 'prijavno ime uporabnika pridobljeno od vašega ponudnika gostovanja';
+$lang['user password given by your host provider'] = 'geslo uporabnika pridobljeno od vašega ponudnika gostovanja';
+$lang['verification'] = 'preverjanje';
+$lang['webmaster login can\'t contain characters \' or "'] = 'prijavno ime skrbnika ne sme vsebovati znakov \' ali "';
+$lang['database tables names will be prefixed with it (enables you to manage better your tables)'] = 'imena tabel v podatkovni bazi bodo imela predpono. (omogoča lažje upravljanje tabel)';
+$lang['You may referer to your hosting provider\'s support and see how you could switch to PHP 5 by yourself.'] = 'Posvetujte se z vašim ponudnikom gostovanja kako bi lahko sami prešli na zahtevano PHP 5 različico.';
+$lang['also given by your host provider'] = 'tudi pridobljeno od vašega ponudnika gostovanja';
+$lang['Need help ? Ask your question on <a href="%s">Piwigo message board</a>.'] = 'Rabite pomoč? Zastavite vprašanje na <a href="%s">Piwigo message board</a>.';
+$lang['Note you can change your configuration by yourself and restart Piwigo after that.'] = 'Upoštevajte da lahko sami spremenite nastavitve in nato ponovno zaženete Piwigo.';
+$lang['An alternate solution is to copy the text in the box above and paste it into the file "local/config/database.inc.php" (Warning : database.inc.php must only contain what is in the textarea, no line return or space character)'] = 'Druga rešitev je, da kopirate besedilo v polje zgoraj in ga prilepite v datoteko "local/config/database.inc.php" (Opozorilo: database.inc.php mora vsebovati le to kar je v besedilnem polju, brez znakov prehoda v novo vrstico(line return)ali znakov za presledke)';
+$lang['Keep it confidential, it enables you to access administration panel'] = 'Varno shranite, omogoča vam dostop do administratorske nadzorne plošče!';
 ?>