Index: /trunk/language/kn_IN/common.lang.php
===================================================================
--- /trunk/language/kn_IN/common.lang.php	(revision 22126)
+++ /trunk/language/kn_IN/common.lang.php	(revision 22127)
@@ -44,5 +44,4 @@
 $lang['%d hit'] = "%d ಭೇಟಿ";
 $lang['%d hits'] = "%d ಭೇಟಿಗಳು";
-$lang['%d Kb'] = "%d Kb";
 $lang['%d new comment'] = "%d ಹೊಸ ಟಿಪ್ಪಣಿ";
 $lang['%d new comments'] = "%d ಹೊಸ ಟಿಪ್ಪಣಿಗಳು";
@@ -59,5 +58,4 @@
 $lang['(!) This comment requires validation'] = '(!) ಈ ಟಿಪ್ಪಣಿಯನ್ನು ಪರಿಶೀಲಿಸಬೇಕಾಗಿದೆ';
 $lang['... or browse your empty gallery'] = '... ಅಥವಾ ನಿಮ್ಮ ಖಾಲಿ ಚಿತ್ರಶಾಲೆ (ಗ್ಯಾಲರಿ) ಯನ್ನು ವೀಕ್ಷಿಸಿ ';
-$lang['... or please deactivate this message, I will find my way by myself'] = '... or please deactivate this message, I will find my way by myself';
 $lang['2small'] = 'XXS - ಅತಿ ಸಣ್ಣದು';
 $lang['A comment on your site'] = "ನಿಮ್ಮ ಜಾಲತಾಣದ ಬಗ್ಗೆ ಒಂದು ಟಿಪ್ಪಣಿ";
@@ -77,5 +75,4 @@
 $lang['All'] = "ಎಲ್ಲಾ";
 $lang['An administrator must authorize your comment before it is visible.'] = "ನಿರ್ವಹಣೆಗಾರರು ನಿಮ್ಮ ಟಿಪ್ಪಣಿ ಯನ್ನು ಪರಿಶೀಲಿಸಿದ ನಂತರ ಅದು ನಿಮಗೆ ಲಭ್ಯವಾಗುವುದು.";
-$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: please wait a moment before trying to post another ಟಿಪ್ಪಣಿ';
 $lang['Any tag'] = "ಯಾವುದೇ ಟ್ಯಾಗ್";
 $lang['Are you sure?'] = "ನಿಮಗೆ ಒಪ್ಪಿಗೆಯೇ?";
@@ -88,5 +85,4 @@
 $lang['available for administrators only'] = "ನಿರ್ವಹಣೆಗಾರರ (ಅಡ್ಮಿನ್ ಗಳ) ಉಪಯೋಗಕ್ಕೆ ಮಾತ್ರ";
 $lang['Bad request'] = 'ಕೋರಿಕೆ ತಪ್ಪಾಗಿದೆ';
-$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = "Bad status for ಬಳಕೆದಾರ \"guest\", default status will be used. Please notify the webmaster.";
 $lang['Best rated'] = "ಅತ್ಯುತ್ತಮವಾದವು";
 $lang['Browser: %s'] = "ಬ್ರೌಸರ್: %s";
@@ -112,5 +108,4 @@
 $lang['Contact webmaster'] = "ವೆಬ್ ಮಾಸ್ಟರ್ ಅವರನ್ನು ಸಂಪರ್ಕಿಸಿ";
 $lang['Contact'] = "ಸಂಪರ್ಕಿಸಿ";
-$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = "Cookies are blocked or not supported by your browser. You must enable cookies to log in.";
 $lang['Create a new account'] = "ಹೊಸ ಖಾತೆಯನ್ನು ತೆರೆಯಿರಿ";
 $lang['created after %s (%s)'] = "%s (%s) ರ ನಂತರ ರಚಿಸಲಾಗಿದೆ ";
@@ -135,5 +130,4 @@
 $lang['day'][5] = "ಶುಕ್ರವಾರ";
 $lang['day'][6] = "ಶನಿವಾರ";
-$lang['Default'] = "Default";
 $lang['delete all photos from your favorites'] = "ನಿಮ್ಮ ಅಚ್ಚುಮೆಚ್ಚಿನ ಪಟ್ಟಿಯಿಂದ ಎಲ್ಲಾ ಚಿತ್ರಗಳನ್ನು ಅಳಿಸಿ.";
 $lang['delete this photo from your favorites'] = "ಈ ಚಿತ್ರವನ್ನು ನಿಮ್ಮ ಅಚ್ಚುಮೆಚ್ಚಿನ ಪಟ್ಟಿಯಿಂದ ಅಳಿಸಿ";
@@ -168,5 +162,4 @@
 $lang['Email address is mandatory'] = 'ಮಿಂಚೆ ವಿಳಾಸ ಕಡ್ಡಾಯವಾಗಿದೆ';
 $lang['Email: %s'] = "ಮಿಂಚೆ: %s";
-$lang['Empty query. No criteria has been entered.'] = 'Empty query. No criteria have been entered.';
 $lang['End-Date'] = "ಕೊನೆಯ ದಿನಾಂಕ";
 $lang['Enter your new password below.'] = 'ನಿಮ್ಮ ಹೊಸ ಗುಪ್ತಪದವನ್ನು ಈ ಕೆಳಗೆ ನಮೂದಿಸಿ.';
@@ -210,5 +203,4 @@
 $lang['Invalid password!'] = "ತಪ್ಪಾದ ಗುಪ್ತಪದ!";
 $lang['Invalid username or email'] = 'ತಪ್ಪಾದ ಬಳಕೆದಾರರ ಹೆಸರು ಅಥವಾ ಮಿಂಚೆ ವಿಳಾಸ';
-$lang['IP: %s'] = "IP: %s";
 $lang['IPTC Metadata'] = 'IPTC ಮೆಟಾಡೇಟಾ';
 $lang['Keyword'] = "ಮುಖ್ಯ ಪದ (ಕೀ ವರ್ಡ್)";
@@ -243,5 +235,4 @@
 $lang['month'][9] = "ಸೆಪ್ಟೆಂಬರ್";
 $lang['Most visited'] = "ಅತಿ ಹೆಚ್ಚು ಕೋರಿಕೆಯ";
-$lang['N/A'] = "N/A";
 $lang['New on %s'] = "ಹೊಸತು %s";
 $lang['New password'] = "ಹೊಸ ಗುಪ್ತಪದ";
@@ -288,5 +279,4 @@
 $lang['posted on %s'] = "%s ರಂದು ಪ್ರಕಟವಾದವು";
 $lang['Posted on'] = "ರಲ್ಲಿ ಪ್ರಕಟವಾಗಿದ್ದು";
-$lang['Powered by'] = "Powered by";
 $lang['Preferences'] = "ಆದ್ಯತೆಗಳು";
 $lang['Previous'] = "ಹಿಂದೆ";
@@ -321,5 +311,4 @@
 $lang['return to normal view mode'] = "ಸಾಮಾನ್ಯ ವೀಕ್ಷಣೆಗೆ ಮರಳಿ";
 $lang['return to the display of all photos'] = "ಎಲ್ಲಾ ಚಿತ್ರಗಳ ಪ್ರದರ್ಶನಕ್ಕೆ ಮರಳಿ";
-$lang['RSS feed'] = "RSS feed";
 $lang['Search by date'] = "ದಿನಾಂಕದಂತೆ ಹುಡುಕಿ";
 $lang['Search for all terms'] = "ಎಲ್ಲಾ ಪದಗಳಿಗಾಗಿ ಹುಡುಕಿ";
@@ -348,9 +337,6 @@
 $lang['small'] = 'S - ಚಿಕ್ಕದಾದ';
 $lang['Someone requested that the password be reset for the following user account:'] = 'ಈ ಕೆಳಗಿನ ಬಳಕೆದಾರರ  ಖಾತೆಯ ಗುಪ್ತಪದವನ್ನು ಬದಲಾಯಿಸಲು ಮನವಿ ಸಲ್ಲಿಸಿದ್ದಾರೆ:';
-$lang['Sort by'] = "Sort by";
 $lang['Sort order'] = "ಅನುಕ್ರಮಣಿಕೆಯ ಕ್ರಮ";
 $lang['Specials'] = "ವಿಶೇಷವಾದವುಗಳು";
-$lang['SQL queries in'] = "SQL queries in";
-$lang['square'] = 'Square';
 $lang['stop the slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ನಿಲ್ಲಿಸಿ";
 $lang['Submit'] = "ಸಲ್ಲಿಸಿ";
@@ -371,6 +357,4 @@
 $lang['This login is already used by another user'] = "ಈ ಲಾಗಿನ್ ಅನ್ನು ಈಗಾಗಲೇ ಇನ್ನೊಬ್ಬ ಬಳಕೆದಾರರು ಬಳಸುತ್ತಿದ್ದಾರೆ ";
 $lang['this login is already used'] = "ಈ ಲಾಗಿನ್ ಈಗಾಗಲೇ ಬಳಕೆಯಲ್ಲಿದೆ";
-$lang['thumb'] = 'Thumbnail';
-$lang['Thumbnails'] = "Thumbnails";
 $lang['To reset your password, visit the following address:'] = 'ನಿಮ್ಮ ಗುಪ್ತಪದವನ್ನು ಬದಲಾಯಿಸಲು ಈ ವಿಳಾಸಕ್ಕೆ ಭೇಟಿ ಕೊಡಿ :';
 $lang['today'] = "ಇಂದು";