Index: trunk/language/kn_IN/common.lang.php
===================================================================
--- trunk/language/kn_IN/common.lang.php	(revision 22165)
+++ trunk/language/kn_IN/common.lang.php	(revision 22169)
@@ -110,6 +110,6 @@
 $lang['Create a new account'] = "ಹೊಸ ಖಾತೆಯನ್ನು ತೆರೆಯಿರಿ";
 $lang['created after %s (%s)'] = "%s (%s) ರ ನಂತರ ರಚಿಸಲಾಗಿದೆ ";
-$lang['created before %s (%s)'] = " %s (%s) ರ ಮುಂಚೆ ರಚಿಸಲಾಗಿದೆ ";
-$lang['created between %s (%s) and %s (%s)'] = " %s (%s) ರ ಮತ್ತು  %s (%s) ರ ನಡುವೆ ರಚಿಸಲಾಗಿದೆ";
+$lang['created before %s (%s)'] = '%s (%s) ರ ಮುಂಚೆ ರಚಿಸಲಾಗಿದೆ ';
+$lang['created between %s (%s) and %s (%s)'] = '%s (%s) ರ ಮತ್ತು  %s (%s) ರ ನಡುವೆ ರಚಿಸಲಾಗಿದೆ';
 $lang['created on %s'] = "%s ರಂದು ತೆರೆಯಲಾಗಿದೆ";
 $lang['Created on'] = "ರಂದು ರಚಿಸಲಾಗಿದೆ";
@@ -189,5 +189,5 @@
 $lang['Help'] = "ಸಹಾಯ";
 $lang['Here are your connection settings'] = 'ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳು ಇಲ್ಲಿವೆ ';
-$lang['Home'] = "ಮನೆ";
+$lang['Home'] = 'ಮುಖಪುಟ';
 $lang['html tags are not allowed in login'] = 'html ಟ್ಯಾಗ್ ಗಳನ್ನು ಲಾಗಿನ್ ನಲ್ಲಿ ಉಪಯೋಗಿಸುವಂತಿಲ್ಲ';
 $lang['I want to add photos'] = 'ನಾನು ಚಿತ್ರಗಳನ್ನು ಸೇರಿಸಬೇಕು';
@@ -274,5 +274,5 @@
 $lang['Please, enter a login'] = "ದಯವಿಟ್ಟು ಲಾಗಿನ್ ಅನ್ನು ನಮೂದಿಸಿ";
 $lang['Post date'] = "ಪ್ರಕಟಣೆಯ ದಿನಾಂಕ";
-$lang['posted after %s (%s)'] = " %s (%s) ರ ನಂತರ";
+$lang['posted after %s (%s)'] = '%s (%s) ರ ನಂತರ';
 $lang['posted before %s (%s)'] = "%s (%s) ಕ್ಕೆ ಮುನ್ನ ಪ್ರಕಟವಾದವು.";
 $lang['posted between %s (%s) and %s (%s)'] = "%s (%s) ಮತ್ತು %s (%s) ರ ಮಧ್ಯೆ ಪ್ರಕಟವಾದವು";
@@ -284,10 +284,10 @@
 $lang['Quick connect'] = "ವೇಗದ ಸಂಪರ್ಕ";
 $lang['Quick search'] = "ವೇಗದ ಹುಡುಕಾಟ";
-$lang['Random photos'] = "Random ಚಿತ್ರಗಳು";
+$lang['Random photos'] = 'ಯಾವುದಾದೊರೊಂದು ಚಿತ್ರ';
 $lang['Rank'] = "ದರ್ಜೆ";
 $lang['Rate this photo'] = "ಈ ಚಿತ್ರದ ಗುಣದರ್ಜೆಯನ್ನು ಹೊಂದಿಸಿ";
 $lang['Rating score'] = "ಗುಣದರ್ಜೆಯ ಅಂಕ";
-$lang['Rating score, high &rarr; low'] = 'Rating ಅಂಕ, ಹೆಚ್ಚು &rarr; ಕಡಿಮೆ';
-$lang['Rating score, low &rarr; high'] = 'Rating ಅಂಕ, ಕಡಿಮೆ &rarr; ಹೆಚ್ಚು';
+$lang['Rating score, high &rarr; low'] = 'ಗುಣದರ್ಜೆಯ ಅಂಕ, ಹೆಚ್ಚು &rarr; ಕಡಿಮೆ';
+$lang['Rating score, low &rarr; high'] = 'ಗುಣದರ್ಜೆಯ ಅಂಕ, ಕಡಿಮೆ &rarr; ಹೆಚ್ಚು';
 $lang['Recent albums'] = "ಇತ್ತೀಚಿನ ಸಂಪುಟಗಳು";
 $lang['Recent period must be a positive integer value'] = "ಇತ್ತೀಚಿನ ಅವಧಿಯ   ";
@@ -302,11 +302,11 @@
 $lang['remove this tag from the list'] = "ಪಟ್ಟಿಯಿಂದ ಈ ಟ್ಯಾಗ್ ಅನ್ನು ತೆಗೆಯಿರಿ";
 $lang['Repeat the slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ಪುನರಾವರ್ತಿಸಿ";
-$lang['representative'] = 'ಸಂಪುಟದ thumbnail';
+$lang['representative'] = 'ಸಂಪುಟದ ಕಿರುಚಿತ್ರ';
 $lang['Requested album does not exist'] = 'ಕೋರಿಕೆಯ ಸಂಪುಟ ಅಸ್ತಿತ್ವದಲ್ಲಿಲ್ಲ.';
 $lang['Requested tag does not exist'] = 'ಕೋರಿಕೆಯ ಟ್ಯಾಗ್  ಅಸ್ತಿತ್ವದಲ್ಲಿಲ್ಲ';
 $lang['Reset to default values'] = "ಪೂರ್ವನಿಯೋಜಿತ ಮೌಲ್ಯಗಳಿಗೆ ಮರುಹೊಂದಿಸಿ";
 $lang['Reset'] = "ಮರುಹೊಂದಿಸಿ";
-$lang['Retrieve password'] = "ಗುಪ್ತಪದವನ್ನು ";
-$lang['Return to home page'] = 'ಮರಳಿ ಮನೆಗೆ';
+$lang['Retrieve password'] = 'ಗುಪ್ತಪದವನ್ನು ಮರಳಿ ಪಡೆಯಿರಿ';
+$lang['Return to home page'] = 'ಮರಳಿ ಮುಖಪುಟಕ್ಕೆ';
 $lang['return to normal view mode'] = "ಸಾಮಾನ್ಯ ವೀಕ್ಷಣೆಗೆ ಮರಳಿ";
 $lang['return to the display of all photos'] = "ಎಲ್ಲಾ ಚಿತ್ರಗಳ ಪ್ರದರ್ಶನಕ್ಕೆ ಮರಳಿ";
@@ -341,5 +341,5 @@
 $lang['stop the slideshow'] = "ಪ್ರದರ್ಶಿಕೆಯನ್ನು ನಿಲ್ಲಿಸಿ";
 $lang['Submit'] = "ಸಲ್ಲಿಸಿ";
-$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'ಯಸಸ್ವಿಯಾಗಿ ನೋಂದಾಯಿಸಲಾಗಿದೆ, ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳಿರುವ ಮಿಂಚೆ ಸಧ್ಯದಲ್ಲೇ ನಿಮಗೆ ಸೇರಲಿದೆ. ಸುಸ್ವಾಗತ!';
+$lang['Successfully registered, you will soon receive an email with your connection settings. Welcome!'] = 'ಯಶಸ್ವಿಯಾಗಿ ನೋಂದಾಯಿಸಲಾಗಿದೆ, ನಿಮ್ಮ ಸಂಪರ್ಕದ ವಿವರಗಳಿರುವ ಮಿಂಚೆ ಸಧ್ಯದಲ್ಲೇ ನಿಮಗೆ ಸೇರಲಿದೆ. ಸುಸ್ವಾಗತ!';
 $lang['Tag results for'] = "ಟ್ಯಾಗ್ ನ ಫಲಿತಾಂಶಗಳು :";
 $lang['Tag'] = "ಟ್ಯಾಗ್";
@@ -397,3 +397,19 @@
 $lang['Your website URL is invalid'] = 'ನಿಮ್ಮ ಜಾಲತಾಣ ಪುಟದ ವಿಳಾಸ (URL) ಅಸಿಂಧುವಾಗಿದೆ';
 $lang['mandatory'] = 'ಕಡ್ಡಾಯ';
+$lang['... or please deactivate this message, I will find my way by myself'] = '... or please deactivate this message, I will find my way by myself';
+$lang['Anti-flood system : please wait for a moment before trying to post another comment'] = 'Anti-flood system: please wait a moment before trying to post another comment';
+$lang['Bad status for user "guest", using default status. Please notify the webmaster.'] = 'Bad status for user "guest", default status will be used. Please notify the webmaster.';
+$lang['Cookies are blocked or not supported by your browser. You must enable cookies to connect.'] = 'Cookies are blocked or not supported by your browser. You must enable cookies to log in.';
+$lang['Default'] = 'ಪೂರ್ವನಿಯೋಜಿತ';
+$lang['Empty query. No criteria has been entered.'] = 'Empty query. No criteria have been entered.';
+$lang['IP: %s'] = 'IP: %s';
+$lang['%d Kb'] = '%d Kb';
+$lang['thumb'] = 'ಕಿರುಚಿತ್ರ';
+$lang['square'] = 'ಚೌಕಟ್ಟು';
+$lang['Thumbnails'] = 'ಕಿರುಚಿತ್ರಗಳು';
+$lang['Sort by'] = 'ಈ ಅನುಕ್ರಮಣಿಕೆಯಂತೆ';
+$lang['SQL queries in'] = 'SQL queries in';
+$lang['RSS feed'] = 'RSS feed';
+$lang['Powered by'] = 'Powered by';
+$lang['N/A'] = 'N/A';
 ?>